PROBE::TCP.SETSOCK(3stap)

NAME
probe::tcp.setsockopt - Call to setsockopt

SYNOPSIS

tcp.setsockopt

VALUES

optlen
    Used to access values for setsockopt

sock
    Network socket

optname
    TCP socket options (e.g. TCP_NODELAY, TCP_MAXSEG, etc)

family
    IP address family

name
    Name of this probe

optstr
    Resolves optname to a human-readable format

level
    The level at which the socket options will be manipulated

CONTEXT

The process which calls setsockopt

SEE ALSO
tapset::tcp(3stap)